#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	seahorse
Version		:	43.0
Release		:	14.8.0.0%{?dist}
Summary		:	A GNOME application for managing encryption keys

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+
URL		:	https://wiki.gnome.org/Apps/Seahorse/
			#https://gitlab.gnome.org/GNOME/seahorse/-/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	avahi
BuildRequires	:	desktop-file-utils
BuildRequires	:	gettext
BuildRequires	:	gobject-introspection
BuildRequires	:	gnupg
BuildRequires	:	gpgme
BuildRequires	:	itstool
BuildRequires	:	libhandy
BuildRequires	:	pkgconfig(gcr-3)
BuildRequires	:	pkgconfig(gio-2.0)
BuildRequires	:	pkgconfig(gtk+-3.0)
BuildRequires	:	pkgconfig(libhandy-1)
BuildRequires	:	pkgconfig(libsoup-2.4)
BuildRequires	:	pkgconfig(pwquality)
BuildRequires	:	vala

#-----------------------------------------------------------------------------
%description
Seahorse is a graphical interface for managing and using
encryption keys.
It also integrates with nautilus, gedit and other places
for encryption operations.  It is a keyring manager.
#-----------------------------------------------------------------------------
%files	-f	 %{name}.lang
%defattr(-,root,root,-)
%license COPYING*
%{_bindir}/%{name}
%{_libexecdir}/%{name}/*
%{_datadir}/dbus-1/services/org.gnome.%{name}.Application.service
%{_datadir}/gnome-shell/search-providers/%{name}-*.ini
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.*.gschema.xml
%{_datadir}/applications/org.gnome.%{name}.Application.desktop
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.%{name}.Application.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.%{name}.Application-symbolic.svg
%{_datadir}/metainfo/org.gnome.%{name}.Application.appdata.xml
%{_datadir}/%{name}/icons/hicolor/*/apps/%{name}-*.png
%{_datadir}/%{name}/icons/hicolor/*/status/%{name}-*.png
%{_mandir}/man1/%{name}.1.gz

#-----------------------------------------------------------------------------
%postun
if [ "$1" = 0 ]; then
  %{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/update-desktop-database 2> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas > /dev/null 2>&1
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor 2> /dev/null

#=============================================================================
%prep
%autosetup -p1
sed -i							\
  -r 's:"(/apps):"/org/gnome\1:'			\
  data/*.xml

sed -i							\
  -e "s/'2.3.0'/'2.3.0', '2.4.0'/"			\
  meson.build
#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --bindir=%{_bindir}				\
        --sbindir=%{_sbindir}				\
        --mandir=%{_mandir}				\
        --libdir=%{_libdir}				\
        --infodir=%{_infodir}				\
        --mandir=%{_mandir}				\
	--buildtype=release				\
	-D manpage=true					\
	build

meson							\
	compile						\
	-C build

#-----------------------------------------------------------------------------
%check
#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C build

%find_lang %{name} --with-gnome --all-name

#-----------------------------------------------------------------------------
%changelog

